summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Thurstenson <thurstylark@gmail.com>2017-03-10 14:01:05 -0600
committerGerardo Exequiel Pozzi <vmlinuz386@gmail.com>2017-03-14 11:12:29 -0300
commitae854ed712d15559a02600d25f3919ddc96b8d42 (patch)
tree5de11a702269417a9858d53e139d82986cc5a35f
parent201aa13bb479f3ba067a161d23b9b4ad44e8b170 (diff)
downloadarchiso32-ae854ed712d15559a02600d25f3919ddc96b8d42.tar.xz
Add timeout to ipconfig call
Signed-off-by: David Thurstenson <thurstylark@gmail.com>
-rw-r--r--archiso/initcpio/hooks/archiso_pxe_common2
1 files changed, 1 insertions, 1 deletions
diff --git a/archiso/initcpio/hooks/archiso_pxe_common b/archiso/initcpio/hooks/archiso_pxe_common
index 422e4f7..96a10c5 100644
--- a/archiso/initcpio/hooks/archiso_pxe_common
+++ b/archiso/initcpio/hooks/archiso_pxe_common
@@ -26,7 +26,7 @@ run_hook () {
fi
# setup network and save some values
- if ! ipconfig "ip=${ip}"; then
+ if ! ipconfig -t 20 "ip=${ip}"; then
echo "ERROR; Failed to configure network"
echo " Falling back to interactive prompt"
echo " You can try to fix the problem manually, log out when you are finished"